## dkms 2.0.17.4

=== Makefile ===
RELEASE_DATE := "19-Sep-2007"
RELEASE_MAJOR := 2
RELEASE_MINOR := 0
RELEASE_SUBLEVEL := 17
RELEASE_EXTRALEVEL := .4
RELEASE_NAME := dkms
RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)

SBIN = $(DESTDIR)/usr/sbin
ETC = $(DESTDIR)/etc/dkms
VAR = $(DESTDIR)/var/lib/dkms
MAN = $(DESTDIR)/usr/share/man/man8
INITD = $(DESTDIR)/etc/init.d
LIBDIR = $(DESTDIR)/usr/lib/dkms
BASHDIR = $(DESTDIR)/etc/bash_completion.d
DOCDIR = $(DESTDIR)/usr/share/doc/dkms
KCONF = $(DESTDIR)/etc/kernel

.PHONY = tarball

all:

clean:
	-rm dkms-*.tar.gz dkms-*.src.rpm dkms-*.noarch.rpm *~

clean-dpkg: clean
	rm -f debian/dkms_autoinstaller.init

copy-init:
	install -m 755 dkms_autoinstaller debian/dkms_autoinstaller.init

install:
	mkdir -m 0755 -p $(VAR) $(SBIN) $(MAN) $(INITD) $(ETC) $(BASHDIR)
	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms > dkms.versioned
	mv -f dkms.versioned dkms
	install -p -m 0755 dkms $(SBIN)
	install -p -m 0755 dkms_autoinstaller $(INITD)
	install -p -m 0644 dkms_framework.conf $(ETC)/framework.conf
	install -p -m 0644 dkms_dbversion $(VAR)
	install -p -m 0644 dkms.bash-completion $(BASHDIR)/dkms
	# install compressed manpage with proper timestamp and permissions
	gzip -c -9 dkms.8 > $(MAN)/dkms.8.gz
	chmod 0644 $(MAN)/dkms.8.gz
	touch --reference=dkms.8 $(MAN)/dkms.8.gz


DOCFILES=sample.spec sample.conf AUTHORS COPYING README.dkms sample-suse-9-mkkmp.spec sample-suse-10-mkkmp.spec

doc-perms:
	# ensure doc file permissions ok
	chmod 0644 $(DOCFILES)

install-redhat: install doc-perms
	mkdir   -p -m 0755 $(LIBDIR)
	install -p -m 0755 dkms_mkkerneldoth $(LIBDIR)/mkkerneldoth
	install -p -m 0755 dkms_find-provides $(LIBDIR)/find-provides
	install -p -m 0644 template-dkms-mkrpm.spec $(ETC)

install-doc:
	mkdir -m 0755 -p $(DOCDIR)
	install -p -m 0644 $(DOCFILES) $(DOCDIR)

install-ubuntu: install copy-init install-doc
	mkdir   -p -m 0755 $(KCONF)/prerm.d $(KCONF)/postinst.d $(KCONF)/header_postinst.d
	install -p -m 0755 debian/kernel_prerm.d_dkms  $(KCONF)/prerm.d/dkms
	install -p -m 0755 debian/kernel_postinst.d_dkms $(KCONF)/postinst.d/dkms
	install -p -m 0755 debian/kernel_postinst.d_dkms $(KCONF)/header_postinst.d/dkms
	mkdir   -p -m 0755 $(ETC)/template-dkms-mkdeb/debian
	install -p -m 0664 template-dkms-mkdeb/Makefile $(ETC)/template-dkms-mkdeb/
	install -p -m 0664 template-dkms-mkdeb/debian/* $(ETC)/template-dkms-mkdeb/debian/
	rm $(DOCDIR)/COPYING*

tarball:
	tmp_dir=`mktemp -d /tmp/dkms.XXXXXXXX` ; \
	cp -a ../$(RELEASE_NAME) $${tmp_dir}/$(RELEASE_STRING) ; \
	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms > $${tmp_dir}/$(RELEASE_STRING)/dkms ; \
	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms.spec > $${tmp_dir}/$(RELEASE_STRING)/dkms.spec ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name .git -type d -exec rm -rf \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name \*~ -type f -exec rm -f \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dkms\*.rpm -type f -exec rm -f \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dkms\*.tar.gz -type f -exec rm -f \{\} \; ; \
	sync ; sync ; sync ; \
	tar cvzf $(RELEASE_STRING).tar.gz -C $${tmp_dir} $(RELEASE_STRING) ; \
	rm -rf $${tmp_dir} ;


rpm: tarball dkms.spec
	tmp_dir=`mktemp -d /tmp/dkms.XXXXXXXX` ; \
	mkdir -p $${tmp_dir}/{BUILD,RPMS,SRPMS,SPECS,SOURCES} ; \
	cp $(RELEASE_STRING).tar.gz $${tmp_dir}/SOURCES ; \
	sed "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms.spec > $${tmp_dir}/SPECS/dkms.spec ; \
	pushd $${tmp_dir} > /dev/null 2>&1; \
	rpmbuild -ba --define "_topdir $${tmp_dir}" SPECS/dkms.spec ; \
	popd > /dev/null 2>&1; \
	cp $${tmp_dir}/RPMS/noarch/* $${tmp_dir}/SRPMS/* . ; \
	rm -rf $${tmp_dir}

deb: tarball
	oldpwd=$(shell pwd) ; \
	tmp_dir=`mktemp -d /tmp/dkms.XXXXXXXX` ; \
	cp $(RELEASE_STRING).tar.gz $${tmp_dir}/$(RELEASE_NAME)_$(RELEASE_VERSION).orig.tar.gz ; \
	tar -C $${tmp_dir} -xzf $(RELEASE_STRING).tar.gz ; \
	mv $${tmp_dir}/$(RELEASE_STRING)/pkg/debian $${tmp_dir}/$(RELEASE_STRING)/debian ; \
	rmdir pkg/ ; \
	cd $${tmp_dir}/$(RELEASE_STRING) ; \
	pdebuild --auto-debsign --debsign-k 92F0FC09 --buildresult $$oldpwd/.. ; \
	cd - ;\
	rm -rf $${tmp_dir}

sdeb: tarball
	oldpwd=$(shell pwd) ; \
	tmp_dir=`mktemp -d /tmp/dkms.XXXXXXXX` ; \
	cp $(RELEASE_STRING).tar.gz $${tmp_dir}/$(RELEASE_NAME)_$(RELEASE_VERSION).orig.tar.gz ; \
	tar -C $${tmp_dir} -xzf $(RELEASE_STRING).tar.gz ; \
	mv $${tmp_dir}/$(RELEASE_STRING)/pkg/debian $${tmp_dir}/$(RELEASE_STRING)/debian ; \
	rmdir pkg/ ; \
	cd $${tmp_dir}/$(RELEASE_STRING) ; \
	dpkg-buildpackage -S -sa -rfakeroot -k92F0FC09 ; \
	mv ../dkms_* $$oldpwd/.. ; \
	cd - ;\
	rm -rf $${tmp_dir}

## dkms 2.0.19

=== Makefile ===
RELEASE_DATE := "25-Mar-2008"
RELEASE_MAJOR := 2
RELEASE_MINOR := 0
RELEASE_SUBLEVEL := 19
RELEASE_EXTRALEVEL :=
RELEASE_NAME := dkms
RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)

SBIN = $(DESTDIR)/usr/sbin
ETC = $(DESTDIR)/etc/dkms
VAR = $(DESTDIR)/var/lib/dkms
MAN = $(DESTDIR)/usr/share/man/man8
INITD = $(DESTDIR)/etc/init.d
LIBDIR = $(DESTDIR)/usr/lib/dkms
BASHDIR = $(DESTDIR)/etc/bash_completion.d
DOCDIR = $(DESTDIR)/usr/share/doc/dkms
KCONF = $(DESTDIR)/etc/kernel

#Define the top-level build directory
BUILDDIR := $(shell pwd)
TOPDIR := $(shell pwd)

.PHONY = tarball

all:

clean:
	-rm -f dkms-*.tar.gz dkms-*.src.rpm dkms-*.noarch.rpm *~ dist/

clean-dpkg: clean
	rm -f debian/dkms_autoinstaller.init

copy-init:
	install -m 755 dkms_autoinstaller debian/dkms_autoinstaller.init

install:
	mkdir -m 0755 -p $(VAR) $(SBIN) $(MAN) $(INITD) $(ETC) $(BASHDIR)
	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms > dkms.versioned
	mv -f dkms.versioned dkms
	install -p -m 0755 dkms $(SBIN)
	install -p -m 0755 dkms_autoinstaller $(INITD)
	install -p -m 0644 dkms_framework.conf $(ETC)/framework.conf
	install -p -m 0644 dkms_dbversion $(VAR)
	install -p -m 0644 dkms.bash-completion $(BASHDIR)/dkms
	# install compressed manpage with proper timestamp and permissions
	gzip -c -9 dkms.8 > $(MAN)/dkms.8.gz
	chmod 0644 $(MAN)/dkms.8.gz
	touch --reference=dkms.8 $(MAN)/dkms.8.gz
	mkdir   -p -m 0755 $(KCONF)/prerm.d $(KCONF)/postinst.d
	install -p -m 0755 kernel_prerm.d_dkms  $(KCONF)/prerm.d/dkms
	install -p -m 0755 kernel_postinst.d_dkms $(KCONF)/postinst.d/dkms

DOCFILES=sample.spec sample.conf AUTHORS COPYING README.dkms sample-suse-9-mkkmp.spec sample-suse-10-mkkmp.spec

doc-perms:
	# ensure doc file permissions ok
	chmod 0644 $(DOCFILES)

install-redhat: install doc-perms
	mkdir   -p -m 0755 $(LIBDIR)
	install -p -m 0755 dkms_mkkerneldoth $(LIBDIR)/mkkerneldoth
	install -p -m 0755 dkms_find-provides $(LIBDIR)/find-provides
	install -p -m 0644 template-dkms-mkrpm.spec $(ETC)

install-doc:
	mkdir -m 0755 -p $(DOCDIR)
	install -p -m 0644 $(DOCFILES) $(DOCDIR)

install-ubuntu: install copy-init install-doc
	mkdir   -p -m 0755 $(KCONF)/header_postinst.d
	install -p -m 0755 kernel_postinst.d_dkms $(KCONF)/header_postinst.d/dkms
	mkdir   -p -m 0755 $(ETC)/template-dkms-mkdeb/debian
	install -p -m 0664 template-dkms-mkdeb/Makefile $(ETC)/template-dkms-mkdeb/
	install -p -m 0664 template-dkms-mkdeb/debian/* $(ETC)/template-dkms-mkdeb/debian/
	rm $(DOCDIR)/COPYING*

deb_destdir=$(BUILDDIR)/dist
TARBALL=$(deb_destdir)/$(RELEASE_STRING).tar.gz
tarball: $(TARBALL)

$(TARBALL):
	mkdir -p $(deb_destdir)
	tmp_dir=`mktemp -d /tmp/dkms.XXXXXXXX` ; \
	cp -a ../$(RELEASE_NAME) $${tmp_dir}/$(RELEASE_STRING) ; \
	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms > $${tmp_dir}/$(RELEASE_STRING)/dkms ; \
	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms.spec > $${tmp_dir}/$(RELEASE_STRING)/dkms.spec ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name .git -type d -exec rm -rf \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dist -type d -exec rm -rf \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name \*~ -type f -exec rm -f \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dkms\*.rpm -type f -exec rm -f \{\} \; ; \
	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dkms\*.tar.gz -type f -exec rm -f \{\} \; ; \
	sync ; sync ; sync ; \
	tar cvzf $(TARBALL) -C $${tmp_dir} $(RELEASE_STRING) ; \
	rm -rf $${tmp_dir} ;


rpm: $(TARBALL) dkms.spec
	tmp_dir=`mktemp -d /tmp/dkms.XXXXXXXX` ; \
	mkdir -p $${tmp_dir}/{BUILD,RPMS,SRPMS,SPECS,SOURCES} ; \
	cp $(TARBALL) $${tmp_dir}/SOURCES ; \
	sed "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms.spec > $${tmp_dir}/SPECS/dkms.spec ; \
	pushd $${tmp_dir} > /dev/null 2>&1; \
	rpmbuild -ba --define "_topdir $${tmp_dir}" SPECS/dkms.spec ; \
	popd > /dev/null 2>&1; \
	cp $${tmp_dir}/RPMS/noarch/* $${tmp_dir}/SRPMS/* . ; \
	rm -rf $${tmp_dir}

# This is required to ensure DIST is set when necessary
NEEDS_DIST = 0
ifeq ($(MAKECMDGOALS),deb)
  NEEDS_DIST = 1
endif
ifeq ($(MAKECMDGOALS),sdeb)
  NEEDS_DIST = 1
endif

ifeq ($(NEEDS_DIST), 1)
  ifndef DIST
  $(error "Must set DIST={gutsy,hardy,sid,...} for deb and sdeb targets")
  endif
endif


debmagic: $(TARBALL)
	[ -n "$$DEB_TMP_BUILDDIR" ] || (echo "Must set DEB_TMP_BUILDDIR=/tmp/... for deb and sdeb targets"; exit 1)
	[ -n "$$DIST" ] || (echo "Must set DIST={gutsy,hardy,sid,...} for deb and sdeb targets"; exit 1)
	[ -n "$$DIST" ] || echo "Remember to set DISTTAG='~gutsy1' for deb and sdeb targets for backports"
	mkdir -p dist/$(DIST)
	cp $(TARBALL) $(DEB_TMP_BUILDDIR)/$(RELEASE_NAME)_$(RELEASE_VERSION).orig.tar.gz
	tar -C $(DEB_TMP_BUILDDIR) -xzf $(TARBALL)
	cp -ar pkg/debian $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian
	chmod +x $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian/rules
	sed -e "s/#DISTTAG#/$(DISTTAG)/g" -e "s/#DIST#/$(DIST)/g" $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian/changelog.in > $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian/changelog 
	rm $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian/changelog.in 
	cd $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING) ; \
	pdebuild --use-pdebuild-internal --buildresult $(TOPDIR)/dist/$(DIST) ; \
	dpkg-buildpackage -D -S -sa -rfakeroot ; \
	mv ../$(RELEASE_NAME)_* $(TOPDIR)/dist/$(DIST) ; \
	cd -

debs:
	tmp_dir=`mktemp -d /tmp/firmware-tools.XXXXXXXX` ; \
	make debmagic DEB_TMP_BUILDDIR=$${tmp_dir} DIST=$(DIST) DISTTAG=$(DISTTAG) ; \
	rm -rf $${tmp_dir}

=== template-dkms-mkdeb/Makefile ===
SRC = $(DESTDIR)/usr/src

all:

clean:

install:
	install -d "$(SRC)"
	install -m 644 $(NAME)-$(VERSION).dkms.tar.gz "$(SRC)"

## dkms 2.0.20.4

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,13 @@
-RELEASE_DATE := "25-Mar-2008"
+RELEASE_DATE := "28-August-2008"
 RELEASE_MAJOR := 2
 RELEASE_MINOR := 0
-RELEASE_SUBLEVEL := 19
-RELEASE_EXTRALEVEL :=
+RELEASE_SUBLEVEL := 20
+RELEASE_EXTRALEVEL := .4
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
+DIST := intrepid
+SHELL=bash
 
 SBIN = $(DESTDIR)/usr/sbin
 ETC = $(DESTDIR)/etc/dkms
@@ -23,10 +25,10 @@
 
 .PHONY = tarball
 
-all:
+all: clean tarball rpm debs
 
 clean:
-	-rm -f dkms-*.tar.gz dkms-*.src.rpm dkms-*.noarch.rpm *~ dist/
+	-rm -rf *~ dist/ dkms-freshmeat.txt
 
 clean-dpkg: clean
 	rm -f debian/dkms_autoinstaller.init
@@ -71,6 +73,7 @@
 	mkdir   -p -m 0755 $(KCONF)/header_postinst.d
 	install -p -m 0755 kernel_postinst.d_dkms $(KCONF)/header_postinst.d/dkms
 	mkdir   -p -m 0755 $(ETC)/template-dkms-mkdeb/debian
+	ln -s template-dkms-mkdeb $(ETC)/template-dkms-mkdsc
 	install -p -m 0664 template-dkms-mkdeb/Makefile $(ETC)/template-dkms-mkdeb/
 	install -p -m 0664 template-dkms-mkdeb/debian/* $(ETC)/template-dkms-mkdeb/debian/
 	rm $(DOCDIR)/COPYING*
@@ -90,8 +93,10 @@
 	find $${tmp_dir}/$(RELEASE_STRING) -depth -name \*~ -type f -exec rm -f \{\} \; ; \
 	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dkms\*.rpm -type f -exec rm -f \{\} \; ; \
 	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dkms\*.tar.gz -type f -exec rm -f \{\} \; ; \
+	find $${tmp_dir}/$(RELEASE_STRING) -depth -name dkms-freshmeat.txt -type f -exec rm -f \{\} \; ; \
+	rm -rf $${tmp_dir}/$(RELEASE_STRING)/debian ; \
 	sync ; sync ; sync ; \
-	tar cvzf $(TARBALL) -C $${tmp_dir} $(RELEASE_STRING) ; \
+	tar cvzf $(TARBALL) -C $${tmp_dir} $(RELEASE_STRING); \
 	rm -rf $${tmp_dir} ;
 
 
@@ -103,43 +108,27 @@
 	pushd $${tmp_dir} > /dev/null 2>&1; \
 	rpmbuild -ba --define "_topdir $${tmp_dir}" SPECS/dkms.spec ; \
 	popd > /dev/null 2>&1; \
-	cp $${tmp_dir}/RPMS/noarch/* $${tmp_dir}/SRPMS/* . ; \
+	cp $${tmp_dir}/RPMS/noarch/* $${tmp_dir}/SRPMS/* dist ; \
 	rm -rf $${tmp_dir}
 
-# This is required to ensure DIST is set when necessary
-NEEDS_DIST = 0
-ifeq ($(MAKECMDGOALS),deb)
-  NEEDS_DIST = 1
-endif
-ifeq ($(MAKECMDGOALS),sdeb)
-  NEEDS_DIST = 1
-endif
-
-ifeq ($(NEEDS_DIST), 1)
-  ifndef DIST
-  $(error "Must set DIST={gutsy,hardy,sid,...} for deb and sdeb targets")
-  endif
-endif
-
-
 debmagic: $(TARBALL)
-	[ -n "$$DEB_TMP_BUILDDIR" ] || (echo "Must set DEB_TMP_BUILDDIR=/tmp/... for deb and sdeb targets"; exit 1)
-	[ -n "$$DIST" ] || (echo "Must set DIST={gutsy,hardy,sid,...} for deb and sdeb targets"; exit 1)
-	[ -n "$$DIST" ] || echo "Remember to set DISTTAG='~gutsy1' for deb and sdeb targets for backports"
-	mkdir -p dist/$(DIST)
-	cp $(TARBALL) $(DEB_TMP_BUILDDIR)/$(RELEASE_NAME)_$(RELEASE_VERSION).orig.tar.gz
+	mkdir -p dist/
+	ln -s $(TARBALL) $(DEB_TMP_BUILDDIR)/$(RELEASE_NAME)_$(RELEASE_VERSION).orig.tar.gz
 	tar -C $(DEB_TMP_BUILDDIR) -xzf $(TARBALL)
-	cp -ar pkg/debian $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian
+	cp -ar debian $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian
 	chmod +x $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian/rules
-	sed -e "s/#DISTTAG#/$(DISTTAG)/g" -e "s/#DIST#/$(DIST)/g" $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian/changelog.in > $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian/changelog 
-	rm $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian/changelog.in 
+	#only change the first (which is assumingly the header)
+	sed -i -e "s/RELEASE_VERSION/$(RELEASE_VERSION)/; s/UNRELEASED/$(DIST)/" $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian/changelog
 	cd $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING) ; \
-	pdebuild --use-pdebuild-internal --buildresult $(TOPDIR)/dist/$(DIST) ; \
+	dpkg-buildpackage -D -b -rfakeroot ; \
 	dpkg-buildpackage -D -S -sa -rfakeroot ; \
-	mv ../$(RELEASE_NAME)_* $(TOPDIR)/dist/$(DIST) ; \
+	mv ../$(RELEASE_NAME)_* $(TOPDIR)/dist/ ; \
 	cd -
 
 debs:
-	tmp_dir=`mktemp -d /tmp/firmware-tools.XXXXXXXX` ; \
-	make debmagic DEB_TMP_BUILDDIR=$${tmp_dir} DIST=$(DIST) DISTTAG=$(DISTTAG) ; \
+	tmp_dir=`mktemp -d /tmp/dkms.XXXXXXXX` ; \
+	make debmagic DEB_TMP_BUILDDIR=$${tmp_dir} DIST=$(DIST); \
 	rm -rf $${tmp_dir}
+
+fm:
+	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms-freshmeat.txt.in > dkms-freshmeat.txt

## dkms 2.0.21.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
-RELEASE_DATE := "28-August-2008"
+RELEASE_DATE := "6-February-2009"
 RELEASE_MAJOR := 2
 RELEASE_MINOR := 0
-RELEASE_SUBLEVEL := 20
-RELEASE_EXTRALEVEL := .4
+RELEASE_SUBLEVEL := 21
+RELEASE_EXTRALEVEL := .1
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
-DIST := intrepid
+DIST := jaunty
 SHELL=bash
 
 SBIN = $(DESTDIR)/usr/sbin
@@ -31,10 +31,10 @@
 	-rm -rf *~ dist/ dkms-freshmeat.txt
 
 clean-dpkg: clean
-	rm -f debian/dkms_autoinstaller.init
+	rm -f debian/dkms.dkms_autoinstaller.init
 
 copy-init:
-	install -m 755 dkms_autoinstaller debian/dkms_autoinstaller.init
+	install -m 755 dkms_autoinstaller debian/dkms.dkms_autoinstaller.init
 
 install:
 	mkdir -m 0755 -p $(VAR) $(SBIN) $(MAN) $(INITD) $(ETC) $(BASHDIR)

## dkms 2.1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
-RELEASE_DATE := "6-February-2009"
+RELEASE_DATE := "26-Aug-2009"
 RELEASE_MAJOR := 2
-RELEASE_MINOR := 0
-RELEASE_SUBLEVEL := 21
+RELEASE_MINOR := 1
+RELEASE_SUBLEVEL := 0
 RELEASE_EXTRALEVEL := .1
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
-DIST := jaunty
+DIST := unstable
 SHELL=bash
 
 SBIN = $(DESTDIR)/usr/sbin
@@ -40,6 +40,8 @@
 	mkdir -m 0755 -p $(VAR) $(SBIN) $(MAN) $(INITD) $(ETC) $(BASHDIR)
 	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms > dkms.versioned
 	mv -f dkms.versioned dkms
+	mkdir   -p -m 0755 $(LIBDIR)
+	install -p -m 0755 dkms_common.postinst $(LIBDIR)/common.postinst
 	install -p -m 0755 dkms $(SBIN)
 	install -p -m 0755 dkms_autoinstaller $(INITD)
 	install -p -m 0644 dkms_framework.conf $(ETC)/framework.conf
@@ -60,9 +62,9 @@
 	chmod 0644 $(DOCFILES)
 
 install-redhat: install doc-perms
-	mkdir   -p -m 0755 $(LIBDIR)
 	install -p -m 0755 dkms_mkkerneldoth $(LIBDIR)/mkkerneldoth
 	install -p -m 0755 dkms_find-provides $(LIBDIR)/find-provides
+	install -p -m 0755 lsb_release $(LIBDIR)/lsb_release
 	install -p -m 0644 template-dkms-mkrpm.spec $(ETC)
 
 install-doc:
@@ -117,9 +119,8 @@
 	tar -C $(DEB_TMP_BUILDDIR) -xzf $(TARBALL)
 	cp -ar debian $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian
 	chmod +x $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian/rules
-	#only change the first (which is assumingly the header)
-	sed -i -e "s/RELEASE_VERSION/$(RELEASE_VERSION)/; s/UNRELEASED/$(DIST)/" $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING)/debian/changelog
 	cd $(DEB_TMP_BUILDDIR)/$(RELEASE_STRING) ; \
+	dch -v $(RELEASE_VERSION)-0 "New upstream version, $(RELEASE_VERSION)"; \
 	dpkg-buildpackage -D -b -rfakeroot ; \
 	dpkg-buildpackage -D -S -sa -rfakeroot ; \
 	mv ../$(RELEASE_NAME)_* $(TOPDIR)/dist/ ; \

## dkms 2.1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-RELEASE_DATE := "26-Aug-2009"
+RELEASE_DATE := "14-Dec-2009"
 RELEASE_MAJOR := 2
 RELEASE_MINOR := 1
-RELEASE_SUBLEVEL := 0
-RELEASE_EXTRALEVEL := .1
+RELEASE_SUBLEVEL := 1
+RELEASE_EXTRALEVEL := .0
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -16,8 +16,9 @@
 INITD = $(DESTDIR)/etc/init.d
 LIBDIR = $(DESTDIR)/usr/lib/dkms
 BASHDIR = $(DESTDIR)/etc/bash_completion.d
-DOCDIR = $(DESTDIR)/usr/share/doc/dkms
 KCONF = $(DESTDIR)/etc/kernel
+SHAREDIR = $(DESTDIR)/usr/share
+DOCDIR = $(SHAREDIR)/doc/dkms
 
 #Define the top-level build directory
 BUILDDIR := $(shell pwd)
@@ -32,18 +33,22 @@
 
 clean-dpkg: clean
 	rm -f debian/dkms.dkms_autoinstaller.init
+	rm -f debian/dkms.dkms_autoinstaller.upstart
 
 copy-init:
 	install -m 755 dkms_autoinstaller debian/dkms.dkms_autoinstaller.init
+	install -m 755 dkms_autoinstaller.upstart debian/dkms.dkms_autoinstaller.upstart
 
 install:
-	mkdir -m 0755 -p $(VAR) $(SBIN) $(MAN) $(INITD) $(ETC) $(BASHDIR)
+	mkdir -m 0755 -p $(VAR) $(SBIN) $(MAN) $(INITD) $(ETC) $(BASHDIR) $(SHAREDIR) $(LIBDIR)
 	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms > dkms.versioned
 	mv -f dkms.versioned dkms
-	mkdir   -p -m 0755 $(LIBDIR)
+	mkdir   -p -m 0755 $(SHAREDIR)/apport/package-hooks
 	install -p -m 0755 dkms_common.postinst $(LIBDIR)/common.postinst
 	install -p -m 0755 dkms $(SBIN)
 	install -p -m 0755 dkms_autoinstaller $(INITD)
+	install -p -m 0755 dkms_autoinstaller $(LIBDIR)
+	install -p -m 0755 dkms_apport.py $(SHAREDIR)/apport/package-hooks/dkms.py
 	install -p -m 0644 dkms_framework.conf $(ETC)/framework.conf
 	install -p -m 0644 dkms_dbversion $(VAR)
 	install -p -m 0644 dkms.bash-completion $(BASHDIR)/dkms
@@ -71,14 +76,18 @@
 	mkdir -m 0755 -p $(DOCDIR)
 	install -p -m 0644 $(DOCFILES) $(DOCDIR)
 
-install-ubuntu: install copy-init install-doc
+install-debian: install copy-init install-doc
 	mkdir   -p -m 0755 $(KCONF)/header_postinst.d
 	install -p -m 0755 kernel_postinst.d_dkms $(KCONF)/header_postinst.d/dkms
 	mkdir   -p -m 0755 $(ETC)/template-dkms-mkdeb/debian
 	ln -s template-dkms-mkdeb $(ETC)/template-dkms-mkdsc
 	install -p -m 0664 template-dkms-mkdeb/Makefile $(ETC)/template-dkms-mkdeb/
 	install -p -m 0664 template-dkms-mkdeb/debian/* $(ETC)/template-dkms-mkdeb/debian/
+	chmod +x $(ETC)/template-dkms-mkdeb/debian/postinst
+	chmod +x $(ETC)/template-dkms-mkdeb/debian/prerm
+	chmod +x $(ETC)/template-dkms-mkdeb/debian/rules
 	rm $(DOCDIR)/COPYING*
+	rm $(DOCDIR)/sample*
 
 deb_destdir=$(BUILDDIR)/dist
 TARBALL=$(deb_destdir)/$(RELEASE_STRING).tar.gz

## dkms 2.1.1.2

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-RELEASE_DATE := "14-Dec-2009"
+RELEASE_DATE := "16-Feb-2009"
 RELEASE_MAJOR := 2
 RELEASE_MINOR := 1
 RELEASE_SUBLEVEL := 1
-RELEASE_EXTRALEVEL := .0
+RELEASE_EXTRALEVEL := .2
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -31,22 +31,13 @@
 clean:
 	-rm -rf *~ dist/ dkms-freshmeat.txt
 
-clean-dpkg: clean
-	rm -f debian/dkms.dkms_autoinstaller.init
-	rm -f debian/dkms.dkms_autoinstaller.upstart
-
-copy-init:
-	install -m 755 dkms_autoinstaller debian/dkms.dkms_autoinstaller.init
-	install -m 755 dkms_autoinstaller.upstart debian/dkms.dkms_autoinstaller.upstart
-
 install:
-	mkdir -m 0755 -p $(VAR) $(SBIN) $(MAN) $(INITD) $(ETC) $(BASHDIR) $(SHAREDIR) $(LIBDIR)
+	mkdir -m 0755 -p $(VAR) $(SBIN) $(MAN) $(ETC) $(BASHDIR) $(SHAREDIR) $(LIBDIR)
 	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms > dkms.versioned
 	mv -f dkms.versioned dkms
 	mkdir   -p -m 0755 $(SHAREDIR)/apport/package-hooks
 	install -p -m 0755 dkms_common.postinst $(LIBDIR)/common.postinst
 	install -p -m 0755 dkms $(SBIN)
-	install -p -m 0755 dkms_autoinstaller $(INITD)
 	install -p -m 0755 dkms_autoinstaller $(LIBDIR)
 	install -p -m 0755 dkms_apport.py $(SHAREDIR)/apport/package-hooks/dkms.py
 	install -p -m 0644 dkms_framework.conf $(ETC)/framework.conf
@@ -67,16 +58,18 @@
 	chmod 0644 $(DOCFILES)
 
 install-redhat: install doc-perms
+	mkdir -m 0755 -p  $(INITD)
 	install -p -m 0755 dkms_mkkerneldoth $(LIBDIR)/mkkerneldoth
 	install -p -m 0755 dkms_find-provides $(LIBDIR)/find-provides
 	install -p -m 0755 lsb_release $(LIBDIR)/lsb_release
 	install -p -m 0644 template-dkms-mkrpm.spec $(ETC)
+	install -p -m 0755 dkms_autoinstaller $(INITD)
 
 install-doc:
 	mkdir -m 0755 -p $(DOCDIR)
 	install -p -m 0644 $(DOCFILES) $(DOCDIR)
 
-install-debian: install copy-init install-doc
+install-debian: install install-doc
 	mkdir   -p -m 0755 $(KCONF)/header_postinst.d
 	install -p -m 0755 kernel_postinst.d_dkms $(KCONF)/header_postinst.d/dkms
 	mkdir   -p -m 0755 $(ETC)/template-dkms-mkdeb/debian

=== debian/changelog ===
dkms (2.1.1.2-5~bpo50+2) lenny-backports; urgency=low

  * Adjust package to work with lenny mktemp
    - Remove Depend on coreutils >= 7.4, it's not available on lenny
    - fix debian/patches/use-system-tmpdir.patch

 -- Jan Wagner <waja@cyconet.org>  Thu, 06 Oct 2011 15:28:31 +0200

dkms (2.1.1.2-5~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Jan Wagner <waja@cyconet.org>  Mon, 26 Sep 2011 08:25:29 +0200

dkms (2.1.1.2-5) unstable; urgency=low

  * [bd3b35d] Set DISTRIB_ID=Debian in case lsb_release is missing
  * [2465627] Removed lsb-release from Pre-Depends
  * [1732998] Do not use lsb_release to determine the distribution, add
    a static assignment (Closes: #547353)
  * [d00ff09] Do not return error if /etc/dkms/framework.conf is missing
    (LP: #613407) - thanks to pasadrul
  * [618efc8] Copy from the right directory with mkdsc and copy
    source.changes when building with mkdsc (LP: #611652) - thanks to
    David Henningsson
  * [f23d6b0] Bump to standards-version 3.9.1, no changes needed

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 04 Aug 2010 16:03:16 +0200

dkms (2.1.1.2-4) unstable; urgency=low

  * [f649aa1] Added coreutils >= 7.4 in Depends (Closes: #586356)
  * [01c7c14] Remove old modules when removing a kernel (Closes: #586724)
    - thanks to Jan Muszynski
  * [b6182ba] Bump to Standards-Version 3.9.0, no changes needed
  * [eaeddb3] dkms_common.postinst: handle dkms build error gracefully
    by skipping build for the non matching kernels. (Closes: #588585) -
    thanks to Jan-Marek Glogowski
  * [73533c2] Promote lsb-release to Pre-Depends (Closes: #589308)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 17 Jul 2010 13:23:43 +0200

dkms (2.1.1.2-3) unstable; urgency=low

  [ Michael Gilbert ]
  * Update to source format 3 (quilt) for better patch management/handling.
  * Improve the status info displayed during the kernel postinst, and
    provide informative/useful messages when things go awry.
  * Fix bashism in dkms_common.postinst (closes: #581079).
  * Document odd behavior of MAKE[#] (closes: #553625).
  * Document package naming convention (closes: #571753).
  * Use system TMPDIR setting in all scripts (closes: #581568).

  [ Giuseppe Iuculano ]
  * [208b229] Added a lintian override for python-script-but-no-python-
    dep, dkms.py is an apport hook

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 04 Jun 2010 13:53:23 +0200

dkms (2.1.1.2-2) unstable; urgency=low

  * [67fb76a] Do not remove /etc/header_postinst.d/dkms in preinst. Hopefully
    now Ubuntu can sync dkms from Debian

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 23 Feb 2010 10:02:40 +0100

dkms (2.1.1.2-1) unstable; urgency=low

  [ David Paleino ]
  * [ff95487] dh_dkms: continue the loop if there's nothing to do on the
    current package. (Closes: #568580)
  * [73dd83f] dh_dkms: specify that version mangling only happens if
    PACKAGE_VERSION=#MODULE_VERSION# in dkms.conf
  * [cdda61c] debian/scripts/postinst-dkms: really make sure the error
    is thrown when nothing is found. (Closes: #568591)

  [ Frédéric Brière ]
  * [2930aa9] Insert the package version directly into postinst at
    creation time
  * [9ccbdc7] Skip prerm removal if there are no modules for that
    version

  [ Giuseppe Iuculano ]
  * [898ab8c] Imported Upstream version 2.1.1.2
  * [4fff928] Removed 01_shell_error.patch, merged in upstream
  * [c5566c7] Removed 02_header_postinst.patch to avoid delta with
    Ubuntu. Hopefully /etc/kernel/header_postinst.d directory will be
    supported in Debian soon
  * [e8aeb49] Add a comment in debian/patches/series and fix quilt-
    build-dep-but-no-series-file lintian warning
  * [bc89600] Fixed a minor spelling error in dh_dkms man page

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 22 Feb 2010 15:34:12 +0100

dkms (2.1.1.1-2) unstable; urgency=low

  [ David Paleino ]
  * [d56bce9] Add -V flag to dh_dkms, thanks to Frédéric Brière
    <fbriere@fbriere.net> for the patch. (Closes: #568589)
  * [dc7e358] dh_dkms: don't return an error if there's nothing to do
    (Closes: #568580)
  * [ecfc1c7] debian/scripts/postinst-dkms: don't exit on success, only
    do it on errors (Closes: #568591)

  [ Giuseppe Iuculano ]
  * [adb3042] Really remove obsolete conffiles
  * [3fe380c] Do not install /etc/header_postinst.d/dkms, at this moment
    Debian kernel doesn't support it
  * [ad6a1f2] Bump Standards-Version (no changes).

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 14 Feb 2010 12:02:42 +0100

dkms (2.1.1.1-1) unstable; urgency=low

  [ David Paleino ]
  * [19ac85e] Added DKMS debhelper script (Closes: #553665)

  [ Giuseppe Iuculano ]
  * [9d66264] Imported Upstream version 2.1.1.1
  * [0735c11] Removed 01_upstart.patch
  * [ec26539] Merge from Ubuntu: Remove the init script and Upstart job.
    There is no reason that DKMS needs to run on boot; you can build
    modules for non-running kernels just fine at installation time.
  * [48ff9a4] Correct a minor shell error in dkms_autoinstaller
  * [5c76a45] Fixed a minor spelling error in dh_dkms man page
  * [c611461] debian/preinst: Use set -e

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 27 Jan 2010 10:02:27 +0100

dkms (2.1.1.0-2) unstable; urgency=low

  * [8510207] Do not install upstart job file

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 15 Dec 2009 08:57:24 +0100

dkms (2.1.1.0-1) unstable; urgency=low

  * [3122b6c] Imported Upstream version 2.1.1.0
  * [ac6fb91] Removed patches applied in upstream
  * [d40faf7] debian/rules: Use new make install-debian target
  * [5d2e1e4] debian/rules: Do not stop /etc/init.d/dkms_autoinstaller
    on upgrade

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 14 Dec 2009 22:38:54 +0100

dkms (2.1.0.1-4) unstable; urgency=low

  * [fdaa289] Use new upstream patch for optimized init. (Closes: #560267)

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 11 Dec 2009 09:11:01 +0100

dkms (2.1.0.1-3) unstable; urgency=low



=== debian/control ===
Source: dkms
Section: kernel
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Mario Limonciello <Mario_Limonciello@dell.com>,
 Giuseppe Iuculano <iuculano@debian.org>,
 Jan Wagner <waja@cyconet.org>
Build-Depends: debhelper (>= 7), quilt
Standards-Version: 3.9.1
Homepage: http://linux.dell.com/dkms
Vcs-Git: git://git.debian.org/collab-maint/dkms.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dkms.git

Package: dkms
Architecture: all
Depends: ${misc:Depends},
 module-init-tools,
 gcc,
 make | build-essential | dpkg-dev
Recommends: patch,
 fakeroot,
 menu | sudo,
 linux-headers-2.6-686 | linux-headers-2.6-amd64 | linux-headers-generic | linux-headers,
 linux-image
Description: Dynamic Kernel Module Support Framework
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.

## dkms 2.1.1.2-3jolicloud1

=== debian/changelog ===
dkms (2.1.1.2-3jolicloud1) robby; urgency=low

  [ Benjamin Ryzman ]
  * Imported Upstream version 2.1.1.2

  [ Mario Limonciello ]
  * Imported Debian patch 2.1.1.2-2fakesync1

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Wed, 01 Sep 2010 12:23:21 +0200

dkms (2.1.1.2-2fakesync1) lucid; urgency=low

  * Fakesync with debian (LP: #534843)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 28 Mar 2010 00:45:36 -0500

dkms (2.1.0.1-1jolicloud1) robby; urgency=low

  * Depend on linux-headers-jolicloud, not generic

 -- Adam McDaniel <adam@jolicloud.org>  Wed, 02 Dec 2009 18:47:33 +0100

dkms (2.1.0.1-0ubuntu1) karmic; urgency=low

  * New upstream version.    
    - When possible, run builds as the 'nobody' user rather than root. 
      This appears to work well on Ubuntu, but F11 doesn't allow anyone
      to run commands as 'nobody'.  So expect mixed behavior here on
      other distros.
    - Add support for Oracle VM and VMware 3.x
    - For RPMs drop dependency on lsb and instead ship a private
      lsb_release if a system lsb_release is not present.  Prevents
      pulling in a large dependency chain since the 'lsb' package isn't
      split up in RPM distros like in the DEB world.
    - Standardize on the correct command for DEB distros for updating
      the initramfs
    - DEBs & RPMs no long exclusively store DKMS tarballs that get
      loaded when the DEB or RPM is installed.  Instead, they will store
      the actual source.
    - When shipping binary modules with a DEB or RPM, they will still be
      put into a DKMS tarball, but they are stored in a more appropriate
      location on the system before getting loaded (generally /usr/share).
    - If the DEB/RPM has a combination of these two, then it will ship
      the source as part of the DEB/RPM and the binary modules inside
      the tarball in /usr/share.
    - Support for binaries only DEBS and RPMS has been added.  This
      unfortunately requires that they DEB or RPM be installed on DKMS
      2.1.0.0.  Keep in mind that you won't be able to let these DEBs or
      RPMs rebuild automatically when new kernels are installed.
    - A common postinstall script is now shipped and shared for DEBs and
      RPMs.  The same actions are used on both types of installations.
    - Cleanup stderr noise on remove (LP: #391023)

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 21 Aug 2009 15:49:58 -0500

=== debian/control ===
Source: dkms
Section: kernel
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Mario Limonciello <Mario_Limonciello@dell.com>,
 Giuseppe Iuculano <iuculano@debian.org>
Build-Depends: debhelper (>= 7), quilt
Standards-Version: 3.8.4
Homepage: http://linux.dell.com/dkms
Vcs-Git: git://git.debian.org/collab-maint/dkms.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dkms.git

Package: dkms
Architecture: all
Depends: ${misc:Depends}, module-init-tools,
 gcc,
 make | build-essential | dpkg-dev
Recommends: patch,
 fakeroot,
 lsb-release,
 menu | sudo,
 linux-headers-jolicloud | linux-headers,
 linux-image
Description: Dynamic Kernel Module Support Framework
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CURVER = $(shell dpkg-parsechangelog | grep ^Version | cut -d" " -f2 | cut -d"-" -f1 )

include /usr/share/quilt/quilt.make

dh_dkms.1: debian/scripts/dh_dkms
	pod2man \
		--center "DKMS Debhelper" \
		--release $(CURVER) \
		$< > debian/scripts/$@

build: build-stamp
build-stamp: $(QUILT_STAMPFN)
	dh_testdir
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs
	$(MAKE) install-debian DESTDIR=$(CURDIR)/debian/dkms
	dh_install
	
binary-arch: build install
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs AUTHORS debian/HOWTO.Debian
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

get-orig-source:
	uscan \
		--force-download \
		--download-version $(CURVER) \
		--rename

get-svn-source:
	[ -d ../tarballs ] || mkdir ../tarballs
	cd ../tarballs && make -f $(CURDIR)/debian/rules get-orig-source

.PHONY: build clean binary-indep binary-arch binary install

## dkms 2.2.0.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "16-Feb-2009"
+RELEASE_DATE := "21-July-2011"
 RELEASE_MAJOR := 2
-RELEASE_MINOR := 1
-RELEASE_SUBLEVEL := 1
+RELEASE_MINOR := 2
+RELEASE_SUBLEVEL := 0
 RELEASE_EXTRALEVEL := .2
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
@@ -14,6 +14,7 @@
 VAR = $(DESTDIR)/var/lib/dkms
 MAN = $(DESTDIR)/usr/share/man/man8
 INITD = $(DESTDIR)/etc/init.d
+INITD_RH = $(DESTDIR)/etc/rc.d/init.d 
 LIBDIR = $(DESTDIR)/usr/lib/dkms
 BASHDIR = $(DESTDIR)/etc/bash_completion.d
 KCONF = $(DESTDIR)/etc/kernel
@@ -35,11 +36,9 @@
 	mkdir -m 0755 -p $(VAR) $(SBIN) $(MAN) $(ETC) $(BASHDIR) $(SHAREDIR) $(LIBDIR)
 	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms > dkms.versioned
 	mv -f dkms.versioned dkms
-	mkdir   -p -m 0755 $(SHAREDIR)/apport/package-hooks
 	install -p -m 0755 dkms_common.postinst $(LIBDIR)/common.postinst
 	install -p -m 0755 dkms $(SBIN)
 	install -p -m 0755 dkms_autoinstaller $(LIBDIR)
-	install -p -m 0755 dkms_apport.py $(SHAREDIR)/apport/package-hooks/dkms.py
 	install -p -m 0644 dkms_framework.conf $(ETC)/framework.conf
 	install -p -m 0644 dkms_dbversion $(VAR)
 	install -p -m 0644 dkms.bash-completion $(BASHDIR)/dkms
@@ -58,18 +57,21 @@
 	chmod 0644 $(DOCFILES)
 
 install-redhat: install doc-perms
-	mkdir -m 0755 -p  $(INITD)
+	mkdir -m 0755 -p  $(INITD_RH)
 	install -p -m 0755 dkms_mkkerneldoth $(LIBDIR)/mkkerneldoth
 	install -p -m 0755 dkms_find-provides $(LIBDIR)/find-provides
 	install -p -m 0755 lsb_release $(LIBDIR)/lsb_release
 	install -p -m 0644 template-dkms-mkrpm.spec $(ETC)
-	install -p -m 0755 dkms_autoinstaller $(INITD)
+	install -p -m 0644 template-dkms-redhat-kmod.spec $(ETC)
+	install -p -m 0755 dkms_autoinstaller $(INITD_RH)
 
 install-doc:
 	mkdir -m 0755 -p $(DOCDIR)
 	install -p -m 0644 $(DOCFILES) $(DOCDIR)
 
 install-debian: install install-doc
+	mkdir   -p -m 0755 $(SHAREDIR)/apport/package-hooks
+	install -p -m 0755 dkms_apport.py $(SHAREDIR)/apport/package-hooks/dkms_packages.py
 	mkdir   -p -m 0755 $(KCONF)/header_postinst.d
 	install -p -m 0755 kernel_postinst.d_dkms $(KCONF)/header_postinst.d/dkms
 	mkdir   -p -m 0755 $(ETC)/template-dkms-mkdeb/debian
@@ -88,7 +90,7 @@
 
 $(TARBALL):
 	mkdir -p $(deb_destdir)
-	tmp_dir=`mktemp -d /tmp/dkms.XXXXXXXX` ; \
+	tmp_dir=`mktemp -d --tmpdir dkms.XXXXXXXX` ; \
 	cp -a ../$(RELEASE_NAME) $${tmp_dir}/$(RELEASE_STRING) ; \
 	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms > $${tmp_dir}/$(RELEASE_STRING)/dkms ; \
 	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms.spec > $${tmp_dir}/$(RELEASE_STRING)/dkms.spec ; \
@@ -105,7 +107,7 @@
 
 
 rpm: $(TARBALL) dkms.spec
-	tmp_dir=`mktemp -d /tmp/dkms.XXXXXXXX` ; \
+	tmp_dir=`mktemp -d --tmpdir dkms.XXXXXXXX` ; \
 	mkdir -p $${tmp_dir}/{BUILD,RPMS,SRPMS,SPECS,SOURCES} ; \
 	cp $(TARBALL) $${tmp_dir}/SOURCES ; \
 	sed "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms.spec > $${tmp_dir}/SPECS/dkms.spec ; \
@@ -129,7 +131,7 @@
 	cd -
 
 debs:
-	tmp_dir=`mktemp -d /tmp/dkms.XXXXXXXX` ; \
+	tmp_dir=`mktemp -d --tmpdir dkms.XXXXXXXX` ; \
 	make debmagic DEB_TMP_BUILDDIR=$${tmp_dir} DIST=$(DIST); \
 	rm -rf $${tmp_dir}

=== debian/changelog ===
dkms (2.2.0.2-1) unstable; urgency=low

  [ Mario Limonciello ]
  * [c5846b6] Imported Upstream version 2.2.0.2
    - Doesn't leave files in /tmp (Closes: #633802)
    - Autoinstall works on multiple kernels (Closes: #634979) (LP: #812979)
    - PRE_BUILD command working directory fix. (LP: #812088)
  * [83b5f6e] Drop kfreebsd.patch.  Merged upstream

  [ Giuseppe Iuculano ]
  * [a80ecc5] Updated VCS control field

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 22 Jul 2011 13:36:32 -0500

dkms (2.2.0.1-3) unstable; urgency=low

  * [c9f7ed0] Fixed kFreeBSD subdirs check
  * [57c5c9d] Removed improved-error-messages.patch
  * [370ff7b] Remove debian-lsb.patch. Now Ubuntu can sync from Debian

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 15 Jul 2011 16:44:11 +0200

dkms (2.2.0.1-2) unstable; urgency=low

  * [6b2d392] Run depmod command only in Linux.
    Thanks to Robert Millan (Closes: #631657)

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 15 Jul 2011 16:00:05 +0200

dkms (2.2.0.1-1) unstable; urgency=low

  * [18353fe] Imported Upstream version 2.2.0.1
  * [2a56b4e] Refreshed and removed patches merged upstream.
  * [c552af9] Use linux-headers-686-pae and linux-headers-amd64 in Recommends
    (Closes: #628873)

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 15 Jul 2011 12:56:08 +0200

dkms (2.1.1.2-6) unstable; urgency=low

  [ Michael Gilbert ]
  * [430b97f] Fix logging for compound make statements (closes: #577972)
    - Thanks to Anders Kaseorg!
  * [935ae61] Check for debhelper when using 'dkms mkdeb' (closes: #592863)
  * [e739e8c] fixup logging patch

  [ Giuseppe Iuculano ]
  * [46cc01a] Merge from Ubuntu: Before using the current kernel we need to make
    sure that this kernel doesn't belong to the host of a chroot and we should
    also be more careful when adding kernels to the candidates list
    (LP: #602408). - Thanks to Alberto Milone
  * [313d661] Merge from Ubuntu: depend on patch instead of recommending it, if
    its missing the "patches" feature of dkms will no longer work and that will
    cause build failures (LP: #653899)  Thanks to Michael Vogt

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 12 Mar 2011 11:07:47 +0100

=== debian/control ===
Source: dkms
Section: kernel
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Mario Limonciello <Mario_Limonciello@dell.com>,
 Giuseppe Iuculano <iuculano@debian.org>
Build-Depends: debhelper (>= 7), quilt
Standards-Version: 3.9.1
Homepage: http://linux.dell.com/dkms
Vcs-Git: git://git.debian.org/pkg-dkms/dkms.git
Vcs-Browser: http://git.debian.org/?p=pkg-dkms/dkms.git

Package: dkms
Architecture: all
Depends: ${misc:Depends},
 module-init-tools,
 gcc,
 make | build-essential | dpkg-dev,
 coreutils (>= 7.4),
 patch
Recommends: fakeroot,
 menu | sudo,
 linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,
 linux-image
Description: Dynamic Kernel Module Support Framework
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 #export DH_VERBOSE=1
 
 CURVER = $(shell dpkg-parsechangelog | grep ^Version | cut -d" " -f2 | cut -d"-" -f1 )
-
-include /usr/share/quilt/quilt.make
 
 dh_dkms.1: debian/scripts/dh_dkms
 	pod2man \
@@ -19,7 +17,7 @@
 	dh_testdir
 	touch $@
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
@@ -40,6 +38,7 @@
 	dh_testroot
 	dh_installchangelogs 
 	dh_installdocs AUTHORS debian/HOWTO.Debian
+	dh_lintian
 	dh_installexamples
 	dh_installman
 	dh_link

## dkms 2.2.0.3

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-RELEASE_DATE := "21-July-2011"
+RELEASE_DATE := "07-December-2011"
 RELEASE_MAJOR := 2
 RELEASE_MINOR := 2
 RELEASE_SUBLEVEL := 0
-RELEASE_EXTRALEVEL := .2
+RELEASE_EXTRALEVEL := .3
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)

=== debian/changelog ===
dkms (2.2.0.3-1.1ubuntu5.14.04.5) trusty-security; urgency=medium

  * dkms_apport.py: update to the recent apport.utils api changes
    (lp: #1499842)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Sep 2015 07:33:54 -0400

dkms (2.2.0.3-1.1ubuntu5.14.04.3) trusty; urgency=low

  * d/s/autopkgtest: only collect logs if there are any.  (LP: #1498896)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 23 Sep 2015 15:21:08 +0100

dkms (2.2.0.3-1.1ubuntu5.14.04.2) trusty; urgency=medium

  * Backport dkms-autopkgtest helper script, so that we can run DKMS tests for
    new kernel uploads triggered by britney via autodep8. (LP: #1489045)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 Aug 2015 12:32:04 +0200

dkms (2.2.0.3-1.1ubuntu5.14.04.1) trusty; urgency=medium

  * Add apport_package_key_with_version.patch: Include the package version in
    the Package data as apport does this with any report it creates and the
    Error Tracker expects to find the version there. (LP: #1429967)

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Mar 2015 11:45:07 -0700

dkms (2.2.0.3-1.1ubuntu5.14.04) trusty; urgency=medium

  * fixed_sed_without_options_issue.patch: Backport of patch to fix sed issues.
    (LP: #1358373)

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 01 Dec 2014 16:53:16 -0600

dkms (2.2.0.3-1.1ubuntu5) trusty; urgency=low

  [ Mario Limonciello ]
  * Backport from trunk: Add patch that fixes have_one_kernel for non-
    zero return code. (LP: #1261116)

 -- Antonius Riha <antoniusriha@gmail.com>  Fri, 10 Jan 2014 16:50:11 +0100

dkms (2.2.0.3-1.1ubuntu4) saucy; urgency=low

  * apport_python3.patch: Fix bug links in header.
  * apport_python3.patch: Call package hook through python3, not python.
    (LP: #1171344)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 May 2013 08:31:34 +0200

dkms (2.2.0.3-1.1ubuntu3) saucy; urgency=low

  * Add apport_dup_signature.patch: Don't use the whole DKMS build log as
    duplicate signature, this is way too long. Just use the first actual
    compiler error, together with the package name and version. (LP: #1175785)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 02 May 2013 15:39:26 -0700

dkms (2.2.0.3-1.1ubuntu2) raring; urgency=low

  * Don't Recommend any linux-headers packages, our installers
    all install headers matching your kernel anyway, and this
    dependency causes more problems than it solves (LP: #960770)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 31 Oct 2012 11:28:52 +0000

dkms (2.2.0.3-1.1ubuntu1) quantal-proposed; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add apport_supported_kernel_packages.diff:
      Only report bugs about supported kernel versions.
    - Add Add-support-for-forcing-modules-installation.patch, backported
      from trunk:
      Add support to force module installation by adding files to
      /usr/share/dkms/modules_to_force_install
    - Add apport_python3.patch: Port apport hook to Python 3 and
      take care of opening the output file in binary mode
    - debian/control: added 'dpkg-dev' and 'debhelper' to Suggests.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 26 Jul 2012 11:43:22 +0200

dkms (2.2.0.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Do not fail if /lib/modules does not exist.  (Closes: #666023)
  * Remove the directory where the module was installed.  (Closes: #657145)

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 19 Jul 2012 22:20:45 +0200

dkms (2.2.0.3-1ubuntu5) quantal; urgency=low

  * debian/control: added 'dpkg-dev' and 'debhelper' to Suggests (LP:
    #989998)

 -- Aditya Vaidya <kroq.gar78@gmail.com>  Wed, 11 Jul 2012 08:28:02 -0400

dkms (2.2.0.3-1ubuntu4) quantal; urgency=low

  * Add apport_python3.patch: Port apport hook to Python 3 (LP: #1013171) and
    take care of opening the output file in binary mode (LP: #1008092)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 21 Jun 2012 08:52:35 +0200

dkms (2.2.0.3-1ubuntu3) precise-proposed; urgency=low

  * Add linux-headers-generic-pae to recommended headers packages so that i386
    installs get the right headers (LP: #986475)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 21 Apr 2012 15:01:27 -0400

dkms (2.2.0.3-1ubuntu2) precise; urgency=low

  [ Alberto Milone ]
  * Backport from trunk: Add support to force module installation by 
    adding files to /usr/share/dkms/modules_to_force_install

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 03 Apr 2012 18:03:02 -0500

dkms (2.2.0.3-1ubuntu1) precise; urgency=low

  * Only report bugs about supported kernel versions. This fixes a regression
    introduced in 2.2.0.2-1ubuntu2. (LP: #940285)
    - Add apport_supported_kernel_packages.diff:
      Check the result of is_distro_package() and fix the check if the kernel
      header package is installed at all.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 24 Feb 2012 14:08:47 +0100

dkms (2.2.0.3-1) unstable; urgency=low

  * [e24a52f] Imported Upstream version 2.2.0.3
  * [09da5c7] bump standards version
  * [713ebfd] add missing debhelper token to preinst
  * [8970435] add versioned build depends for debhelper
  * [db4238c] switch to dh7
  * [13a34c7] update lintian override for DKMS apport rule

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 07 Dec 2011 13:21:33 -0600

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CURVER = $(shell dpkg-parsechangelog | grep ^Version | cut -d" " -f2 | cut -d"-" -f1 )

%:
	dh $@

dh_dkms.1: debian/scripts/dh_dkms
	pod2man \
		--center "DKMS Debhelper" \
		--release $(CURVER) \
		$< > debian/scripts/$@

override_dh_auto_build:


override_dh_install:
	$(MAKE) install-debian DESTDIR=$(CURDIR)/debian/dkms
	dh_install
	
get-orig-source:
	uscan \
		--force-download \
		--download-version $(CURVER) \
		--rename

get-svn-source:
	[ -d ../tarballs ] || mkdir ../tarballs
	cd ../tarballs && make -f $(CURDIR)/debian/rules get-orig-source

=== debian/watch ===
version=3

http://linux.dell.com/dkms/permalink/dkms-(.*)\.tar\.gz
